import { T_LTWH, T_VIEWPORT } from "../types";
import { viewportToPdf } from "./coordinates";

const optimizeImageArea = (
	image: string,
	bound: T_LTWH,
	viewport: T_VIEWPORT
) => {
	return {
		image: image,
		imageArea: {
			rect: viewportToPdf(bound, viewport),
			usePdfCoordinates: true
		}
	};
};